[Overview][Classes][Procedures and functions][Index] | Reference for unit 'AsyncProcess' (#lcl)

# TAsyncProcess.HandlePipeInput

Implements asynchronous notifications during execution of the process.

## Declaration

Source position: asyncprocess.pp line 43

`protected procedure TAsyncProcess.HandlePipeInput(`
`AData: PtrInt;`
`AReasons: TPipeReasons`
`);`

## Arguments

`AData` |  | Data available on the input handle.
`AReasons` |  | Reason the data was written for the handler.

## Description

HandlePipeInput is a procedure which implements support for asynchronous notifications which occur during execution of the process. HandlePipeInput is assigned using AddPipeEventHandler when Execute is called.

HandlePipeInput examines values in AReasons to determine the action for the notification. When AReasons includes the value prBroken, the pipe has been closed and UnhookPipeHandle is called. When prDataAvailable is included in AReasons, the OnReadData event handler is signalled (when assigned).

Use OnReadData to respond to arrival of data on the handle for the process. Use NumBytesAvailable is determine the number of bytes available.

## See also

TAsyncProcess.OnReadData |  | Event handler signalled when output data is available for the process.
TAsyncProcess.NumBytesAvailable |  | Number of output bytes available from the process.